<?php

namespace Planaday\Html\Nodes;

use Planaday\Html\NodeTags\Tag;

class NodeData {
	/** @var array<string,mixed> */
	public array $data;

	/** @var array<string, class-string<Tag>> */
	public array $tagRegistry;

	public function __construct(array $data = [], array $tagRegistry = []) {
		$this->data = $data;
		$this->tagRegistry = $tagRegistry;
	}

	public function setData( array $data ): static {
		$this->data = $data;

		return $this;
	}

	public function setTagRegistry( array $tagRegistry ): static {
		$this->tagRegistry = $tagRegistry;

		return $this;
	}
}